Package org.eclipse.gef.zest.fx.handlers

# Class BendFirstAnchorageAndRelocateLabelsOnSegmentHandleDragHandler

java.lang.Object
org.eclipse.gef.common.adapt.IAdaptable.Bound.Impl<IVisualPart<? extends Node>>
org.eclipse.gef.mvc.fx.handlers.AbstractHandler
org.eclipse.gef.mvc.fx.handlers.BendFirstAnchorageOnSegmentHandleDragHandler
org.eclipse.gef.zest.fx.handlers.BendFirstAnchorageAndRelocateLabelsOnSegmentHandleDragHandler

All Implemented Interfaces:
  `IAdaptable.Bound<IVisualPart<? extends Node>>`, `org.eclipse.gef.mvc.fx.handlers.IHandler`, `org.eclipse.gef.mvc.fx.handlers.IOnDragHandler`

public class BendFirstAnchorageAndRelocateLabelsOnSegmentHandleDragHandler extends org.eclipse.gef.mvc.fx.handlers.BendFirstAnchorageOnSegmentHandleDragHandler
An `BendFirstAnchorageOnSegmentHandleDragHandler` that also takes care of relocating related `EdgeLabelPart`s.

## Property Summary

### Properties inherited from class org.eclipse.gef.common.adapt.IAdaptable.Bound.Impl

`adaptable`

### Properties inherited from interface org.eclipse.gef.common.adapt.IAdaptable.Bound

`adaptable`

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.gef.common.adapt.IAdaptable.Bound

`IAdaptable.Bound.Impl<T extends IAdaptable>`

## Constructor Summary

Constructors
Constructor
Description
`BendFirstAnchorageAndRelocateLabelsOnSegmentHandleDragHandler()`

## Method Summary

Modifier and Type
Method
Description
`void`
`abortDrag()`
`void`
`drag(MouseEvent e, Dimension delta)`
`void`
`endDrag(MouseEvent e, Dimension delta)`
`void`
`startDrag(MouseEvent e)`

### Methods inherited from class org.eclipse.gef.mvc.fx.handlers.BendFirstAnchorageOnSegmentHandleDragHandler

`determineBendPolicy, determineTargetPart, getBendPolicy, getHost, getTargetPart, hideIndicationCursor, isBend, isPrecise, showIndicationCursor, showIndicationCursor, updateHandles`

### Methods inherited from class org.eclipse.gef.mvc.fx.handlers.AbstractHandler

`commit, execute, init, isRegistered, isRegisteredForHost, restoreRefreshVisuals, rollback, storeAndDisableRefreshVisuals`

### Methods inherited from class org.eclipse.gef.common.adapt.IAdaptable.Bound.Impl

`adaptableProperty, getAdaptable, setAdaptable`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.gef.common.adapt.IAdaptable.Bound

`adaptableProperty, getAdaptable, setAdaptable`

## Constructor Details

### BendFirstAnchorageAndRelocateLabelsOnSegmentHandleDragHandler

public BendFirstAnchorageAndRelocateLabelsOnSegmentHandleDragHandler()

## Method Details

### abortDrag

public void abortDrag()

Specified by:
  `abortDrag` in interface `org.eclipse.gef.mvc.fx.handlers.IOnDragHandler`
Overrides:
  `abortDrag` in class `org.eclipse.gef.mvc.fx.handlers.BendFirstAnchorageOnSegmentHandleDragHandler`

### drag

public void drag(MouseEvent e, Dimension delta)

Specified by:
  `drag` in interface `org.eclipse.gef.mvc.fx.handlers.IOnDragHandler`
Overrides:
  `drag` in class `org.eclipse.gef.mvc.fx.handlers.BendFirstAnchorageOnSegmentHandleDragHandler`

### endDrag

public void endDrag(MouseEvent e, Dimension delta)

Specified by:
  `endDrag` in interface `org.eclipse.gef.mvc.fx.handlers.IOnDragHandler`
Overrides:
  `endDrag` in class `org.eclipse.gef.mvc.fx.handlers.BendFirstAnchorageOnSegmentHandleDragHandler`

### startDrag

public void startDrag(MouseEvent e)

Specified by:
  `startDrag` in interface `org.eclipse.gef.mvc.fx.handlers.IOnDragHandler`
Overrides:
  `startDrag` in class `org.eclipse.gef.mvc.fx.handlers.BendFirstAnchorageOnSegmentHandleDragHandler`